Skip to content
Browse files

Fixed misssing rubyigen dependency

  • Loading branch information...
1 parent 4c4b0bd commit 2da66b9e3da3883afb9cbab8c39f463caba4794b @kennethkalmer committed
Showing with 41 additions and 33 deletions.
  1. +4 −0 History.txt
  2. +31 −30 Rakefile
  3. +5 −2 daemon-kit.gemspec
  4. +1 −1 lib/daemon_kit.rb
View
4 History.txt
@@ -1,3 +1,7 @@
+== 0.1.2 2009-04-28
+
+* Added missing rubigen dependency
+
== 0.1.1 2009-04-27
* AMQP consumer generator added
View
61 Rakefile
@@ -1,30 +1,31 @@
-
-%w[rubygems rake rake/clean fileutils newgem rubigen].each { |f| require f }
-require File.dirname(__FILE__) + '/lib/daemon_kit'
-
-# Generate all the Rake tasks
-# Run 'rake -T' to see list of generated tasks (from gem root directory)
-$hoe = Hoe.new('daemon-kit', DaemonKit::VERSION) do |p|
- p.summary = 'Daemon Kit aims to simplify creating Ruby daemons by providing a sound application skeleton (through a generator), task specific generators (jabber bot, etc) and robust environment management code.'
- p.developer('Kenneth Kalmer', 'kenneth.kalmer@gmail.com')
- p.changes = p.paragraphs_of("History.txt", 0..1).join("\n\n")
- p.post_install_message = IO.read( 'PostInstall.txt' ) # TODO remove if post-install message not required
- p.rubyforge_name = p.name # TODO this is default value
- p.extra_deps = [
- ['daemons','>= 1.0.10'],
- ]
- p.extra_dev_deps = [
- ['newgem', ">= #{::Newgem::VERSION}"]
- ]
-
- p.clean_globs |= %w[**/.DS_Store tmp *.log]
- path = (p.rubyforge_name == p.name) ? p.rubyforge_name : "\#{p.rubyforge_name}/\#{p.name}"
- p.remote_rdoc_dir = File.join(path.gsub(/^#{p.rubyforge_name}\/?/,''), 'rdoc')
- p.rsync_args = '-av --delete --ignore-errors'
-end
-
-require 'newgem/tasks' # load /tasks/*.rake
-Dir['tasks/**/*.rake'].each { |t| load t }
-
-# TODO - want other tests/tasks run by default? Add them to the list
-task :default => [:spec] #, :features]
+
+%w[rubygems rake rake/clean fileutils newgem rubigen].each { |f| require f }
+require File.dirname(__FILE__) + '/lib/daemon_kit'
+
+# Generate all the Rake tasks
+# Run 'rake -T' to see list of generated tasks (from gem root directory)
+$hoe = Hoe.new('daemon-kit', DaemonKit::VERSION) do |p|
+ p.summary = 'Daemon Kit aims to simplify creating Ruby daemons by providing a sound application skeleton (through a generator), task specific generators (jabber bot, etc) and robust environment management code.'
+ p.developer('Kenneth Kalmer', 'kenneth.kalmer@gmail.com')
+ p.changes = p.paragraphs_of("History.txt", 0..1).join("\n\n")
+ p.post_install_message = IO.read( 'PostInstall.txt' ) # TODO remove if post-install message not required
+ p.rubyforge_name = p.name # TODO this is default value
+ p.extra_deps = [
+ ['daemons','>= 1.0.10'],
+ ['rubigen', '>= 1.5.2']
+ ]
+ p.extra_dev_deps = [
+ ['newgem', ">= #{::Newgem::VERSION}"]
+ ]
+
+ p.clean_globs |= %w[**/.DS_Store tmp *.log]
+ path = (p.rubyforge_name == p.name) ? p.rubyforge_name : "\#{p.rubyforge_name}/\#{p.name}"
+ p.remote_rdoc_dir = File.join(path.gsub(/^#{p.rubyforge_name}\/?/,''), 'rdoc')
+ p.rsync_args = '-av --delete --ignore-errors'
+end
+
+require 'newgem/tasks' # load /tasks/*.rake
+Dir['tasks/**/*.rake'].each { |t| load t }
+
+# TODO - want other tests/tasks run by default? Add them to the list
+task :default => [:spec] #, :features]
View
7 daemon-kit.gemspec
@@ -2,11 +2,11 @@
Gem::Specification.new do |s|
s.name = %q{daemon-kit}
- s.version = "0.1.1"
+ s.version = "0.1.2"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Kenneth Kalmer"]
- s.date = %q{2009-04-27}
+ s.date = %q{2009-04-28}
s.default_executable = %q{daemon_kit}
s.email = ["kenneth.kalmer@gmail.com"]
s.executables = ["daemon_kit"]
@@ -33,15 +33,18 @@ To get started quickly run 'daemon_kit' without any arguments
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<daemons>, [">= 1.0.10"])
+ s.add_runtime_dependency(%q<rubigen>, [">= 1.5.2"])
s.add_development_dependency(%q<newgem>, [">= 1.3.0"])
s.add_development_dependency(%q<hoe>, [">= 1.8.0"])
else
s.add_dependency(%q<daemons>, [">= 1.0.10"])
+ s.add_dependency(%q<rubigen>, [">= 1.5.2"])
s.add_dependency(%q<newgem>, [">= 1.3.0"])
s.add_dependency(%q<hoe>, [">= 1.8.0"])
end
else
s.add_dependency(%q<daemons>, [">= 1.0.10"])
+ s.add_dependency(%q<rubigen>, [">= 1.5.2"])
s.add_dependency(%q<newgem>, [">= 1.3.0"])
s.add_dependency(%q<hoe>, [">= 1.8.0"])
end
View
2 lib/daemon_kit.rb
@@ -4,7 +4,7 @@
require 'rubygems'
module DaemonKit
- VERSION = '0.1.1'
+ VERSION = '0.1.2'
autoload :Initializer, 'daemon_kit/initializer'
autoload :Application, 'daemon_kit/application'

0 comments on commit 2da66b9

Please sign in to comment.
Something went wrong with that request. Please try again.